{{#each @layout as |row index|}}
  <Container
    data-name={{row.name}}
    data-type="row"
    data-path={{concat @path "." index ".data.container"}}
    data-size={{@size}}
    class="row {{col-size-limit @size row.cls}}"
    @value={{row.data.container}}
    ...attributes
  >
    <LayoutCols
      @size={{@size}}
      @layout={{row.cols}}
      @path={{concat @path "." index ".cols"}}
      @index="{{@index}}.{{index}}"
      as |col|
    >
      {{yield col}}
    </LayoutCols>
  </Container>
{{/each}}